/***********************************************************
        	      (C) Copyright 1993
		Curtin University of Technology
		    Perth Western Australia



 This software is provided as is without any warranty express
 or implied.  Curtin University make no representation as to its
 suitability for any purpose whatsoever.

 Permission to use, modify or copy this software and its
 documentation is hereby granted to the source license holder.
 It is an express condition of such permission that the user
 accepts all responsibility for the use of the software and
 further that:

 1.    this notice appears in any copies of the software and the
       supporting documentation; and

 2.    the name of Curtin University not be used in any
       advertising or publicity pertaining to the software nor
       used to endorse or promote any product derived from this
       software without prior specific written permission.

 3.    the software in source form may not be given to any
       party other than those listed on the source license.

******************************************************************/
static char sccsid[] = "@(#)util.c	1.5	6/10/93";

#include "geotraceman.h"

/* functions defined here */
char   *nm_util_malloc (), *nm_util_malloc_string ();
#ifdef SGI
char   *strdup(const char *);
#else
char   *strdup();
#endif

/*	-	-	-	-	-	-	-	-	-     */
char
       *
nm_util_malloc (size)
unsigned size;
{
    char   *p;

    if (!(p = malloc (size))) {
	fprintf (stderr, "%s: ", prog_name);
	perror ("malloc");
	exit (1);
    }

    return (p);
}

char   *
nm_util_malloc_string (str)
char   *str;
{
    char   *new_str;

    new_str = nm_util_malloc (strlen (str) + 1);
    strcpy (new_str, str);
    return (new_str);
}

char *
strdup(str)
#ifdef SGI
        const char *str;
#else
	char *str;
#endif
{
        int len;
        char *copy;

        len = strlen(str) + 1;
        if (!(copy = nm_util_malloc((u_int)len)))
                return((char *)NULL);
        bcopy(str, copy, len);
        return(copy);
}

